{
    "name": "ymodel",
    "version": "1.0.0",
    "description": "",
    "private": true,
    "scripts": {
        "mvn:compile": "./mvnw clean compile -f ./modules/parent/pom.xml",
        "mvn:test": "./mvnw clean test -f ./modules/parent/pom.xml",
        "mvn:verify": "./mvnw clean verify -f ./modules/parent/pom.xml -Dbundle.coverage.ratio=0",
        "mvn:install": "./mvnw clean install -f ./modules/parent/pom.xml -Dbundle.coverage.ratio=0",
        "mvn:package-no-test": "./mvnw clean package license:format formatter:format -Dmaven.test.skip=true -f ./modules/parent/pom.xml",
        "mvn:package-cli": "npm run mvn:install && ./mvnw package -f modules/presentation-cli/pom.xml",
        "mvn:site-no-tests": "./mvnw site site:stage -Dmaven.test.skip=true -f ./modules/parent/pom.xml",
        "mvn:test-site": "./mvnw clean test site site:stage -f ./modules/parent/pom.xml",
        "mvn:verify-site": "./mvnw clean verify site site:stage -f ./modules/parent/pom.xml",
        "mvn:dependency-analyze": "./mvnw dependency:analyze -f ./modules/parent/pom.xml",
        "utils:download-maven-wrapper-3.8.6": "./mvnw -N io.takari:maven:0.7.7:wrapper -Dmaven=3.8.6",
        "cli:example-generate-typescript-zip": "java -jar ./modules/presentation-cli/target/ymodel.presentation-cli-0.0.1-SNAPSHOT.jar --yaml ./modules/presentation-cli/src/test/resources/metamodel01.yml --zip modules/presentation-cli/target/result-cli.zip --language TypeScript",
        "cli:build-run-example-generate-typescript-zip": "npm run mvn:package-cli && npm run cli:example-generate-typescript-zip"
    },
    "repository": {
        "type": "git",
        "url": "git@gitlab.com:fr.zhykos/YModeL.git"
    },
    "author": "Thomas 'Zhykos' Cicognani",
    "license": "MIT",
    "bugs": {
        "url": "https://gitlab.com/fr.zhykos/YModeL/-/issues"
    },
    "homepage": "https://gitlab.com/fr.zhykos/YModeL"
}
